RoutesBlogs module
Blogs routes
URLs the Blogs module answers, their parameters and the variables each view receives.
Admin view
/cdna-admin/blogs/add-blog
addBlog
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$blog |
Blog |
Single (empty) Blog record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/blog/{id}
editBlog
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$blog |
Blog |
Retrieved Blog record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/blogs
manageBlogs
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$blogs |
Collection<Blog> |
Collection of Blogs |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/add-post/{blog.id}
addPost
Add a new record. Assigns an empty record to the template.
Path parameters
blog.id matches \d+
| Variable | Type | Description |
|---|---|---|
$post |
Post |
Single (empty) Post record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/post/{id}/{revision.id}
editPost
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$post |
Post |
Retrieved Post record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/posts/{blog.id}
managePosts
Retrieve available records and assign them to the template for editing.
Path parameters
blog.id matches \d+
| Variable | Type | Description |
|---|---|---|
$posts |
Collection<Post> |
Collection of Posts |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/post-revisions/{post.id}/{baseRevision}/{otherRevision}
comparePostRevisions
Show comparison of post revisions
Path parameters
post.id matches \d+baseRevision matches \d+otherRevision matches \d+
| Variable | Type | Description |
|---|---|---|
$post |
Post |
Post for which revisions are compared |
$baseRevision |
PostRevision |
Base revision |
$otherRevision |
PostRevision |
Other revision for comparison |
$baseLayout |
Layout |
Layout the base revision uses |
$otherLayout |
Layout |
Layout the other revision uses |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/add-comment/{post.id}
addComment
Add a new record. Assigns an empty record to the template.
Path parameters
post.id matches \d+
| Variable | Type | Description |
|---|---|---|
$comment |
Comment |
Single (empty) Comment record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/comment/{id}
editComment
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$comment |
Comment |
Retrieved Comment record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/blogs/comments/{post.id}
manageComments
Retrieve available records and assign them to the template for editing.
Path parameters
post.id matches \d+
| Variable | Type | Description |
|---|---|---|
$comments |
Collection<Comment> |
Collection of Comments |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.